FSG(1)

NAME
FSG - manual page for FSG lsb_release v1.4

SYNOPSIS
lsb_release [OPTION]...

DESCRIPTION
FSG lsb_release v1.4 prints certain LSB (Linux Standard Base) and Distribution information.

With no OPTION specified it is the same as -v.

OPTIONS

-v, --version

    Display the version of the LSB specification against which the distribution is compliant.

-i, --id

    Display the string id of the distributor.

-d, --description

    Display the single line text description of the distribution.

-r, --release

    Display the release number of the distribution.

-c, --codename

    Display the codename according to the distribution release.

-a, --all

    Display all of the above information.

-s, --short

    Display all of the above information in short output format.

-h, --help

    Display this message.

FILES
If the installation is LSB compliant, the "/etc/lsb-release" file should contain the LSB_VERSION field. The value of the field should be the version number of the LSB specification against which the installation is compliant. If the installation is not compliant, the above field should not be present. Optional fields are DISTRIB_ID, DISTRIB_RELEASE, DISTRIB_CODENAME, DISTRIB_DESCRIPTION and can be used to overwrite information which is parsed from the next file.

The "/etc/[distrib]-release" file contains a description line which is parsed to get information (especially on currently non-LSB compliant systems). The required line style is:
"Distributor release x.x (Codename)" Where Distributor can be a couple of words, but then concatenated (i.e. Linux Foo BarLinux Linux -> FooBarLinux),
x.x starts with a digit followed by any non-blank characters, Codename will also be concatenated (blanks cleanup only). And release is a keyword not to be used in DISTRIB_DESCRIPTION if you don't want to overwrite "/etc/[distrib]-release" data. Notice: To support the Debian distributions' lack of information (see "/etc/debian_version" file) some have been directly added into the lsb_release script.

EXAMPLES
The /etc/lsb-release file contains: LSB_VERSION="1.0"
DISTRIB_DESCRIPTION="I enjoy using my distrib" And the /etc/foobar-release file contains: My Linux Distrib release 1.0RC4 (TryIt) $ ./lsb_release --all
LSB Version: 1.0
Distributor ID: MyDistrib
Description: I enjoy using my distrib
Release: 1.0RC4
Codename: TryIt $ ./lsb_release -a -s
1.0 MyDistrib "I enjoy using my distrib" 1.0RC4 TryIt Then simply without the "/etc/lsb-release" file, that means result on a non-LSB compliant distrib:
$ ./lsb_release -a
LSB Version: n/a
Distributor ID: MyDistrib
Description: My Linux Distrib release 1.0RC4 (TryIt)
Release: 1.0RC4
Codename: TryIt

AUTHOR
Written by Dominique MASSONIE.

REPORTING BUGS
Report bugs to <mdomi@users.sourceforge.net>. Include a complete, self contained example that will allow the bug to be reproduced, and say which version of lsb_release you are using.

COPYRIGHT
Copyright © 2000 Free Software Group, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.